Bug 1124566 - gluster update creates rpmsave files of volume config files
Summary: gluster update creates rpmsave files of volume config files
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Raghavendra Talur
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 20:04 UTC by Martin Bukatovic
Modified: 2018-03-08 06:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-08 06:14:52 UTC


Attachments (Terms of Use)

Description Martin Bukatovic 2014-07-29 20:04:09 UTC
Description of problem
======================

During update of gluster packages (invoked by 'yum update'), rpm created
rpmsave files of volume definiton files. This seems to be unnecessary.

Version-Release number of selected component (if applicable)
============================================================

~~~
# rpm -qa | grep gluster
vdsm-gluster-4.14.7.2-1.el6rhs.noarch
gluster-nagios-addons-0.1.10-2.el6rhs.x86_64
glusterfs-api-3.6.0.25-1.el6rhs.x86_64
glusterfs-rdma-3.6.0.25-1.el6rhs.x86_64
glusterfs-geo-replication-3.6.0.25-1.el6rhs.x86_64
gluster-nagios-common-0.1.3-2.el6rhs.noarch
samba-glusterfs-3.6.9-168.4.el6rhs.x86_64
glusterfs-libs-3.6.0.25-1.el6rhs.x86_64
glusterfs-3.6.0.25-1.el6rhs.x86_64
glusterfs-server-3.6.0.25-1.el6rhs.x86_64
glusterfs-cli-3.6.0.25-1.el6rhs.x86_64
glusterfs-fuse-3.6.0.25-1.el6rhs.x86_64
~~~

How reproducible
================

Tried once, but it should be 100%

Steps to Reproduce
==================

1. install glusterfs on node
2. join a trusted storage pool and host brick of some volume on the node
3. wait for new gluster packages to be available in RHS repository
4. run yum update

Actual results
==============

During upgdate, yum reports the following warnings:

~~~
warning: /var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume-fuse.vol saved as /var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume-fuse.vol.rpmsave
warning: /var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.35.76.mnt-brick1-brick.vol saved as /var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.35.76.mnt-brick1-brick.vol.rpmsave
warning: /var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.44.174.mnt-brick1-brick.vol saved as /var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.44.174.mnt-brick1-brick.vol.rpmsave
warning: /var/lib/glusterd/vols/BrownFieldVolume/trusted-BrownFieldVolume-fuse.vol saved as /var/lib/glusterd/vols/BrownFieldVolume/trusted-BrownFieldVolume-fuse.vol.rpmsave
warning: /var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.44.209.mnt-brick1-brick.vol saved as /var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.44.209.mnt-brick1-brick.vol.rpmsave
~~~

So that there are few rpmsave files in /var/lib/glusterd/vols/ directory:

~~~
# find /var/lib/glusterd/vols -name '*.rpmsave'
/var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.54.35.mnt-brick1-brick.vol.rpmsave
/var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.35.76.mnt-brick1-brick.vol.rpmsave
/var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume-fuse.vol.rpmsave
/var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.44.174.mnt-brick1-brick.vol.rpmsave
/var/lib/glusterd/vols/BrownFieldVolume/trusted-BrownFieldVolume-fuse.vol.rpmsave
/var/lib/glusterd/vols/BrownFieldVolume/BrownFieldVolume.10.34.44.209.mnt-brick1-brick.vol.rpmsave
~~~

Expected results
================

Rpmsave files are not created.
 
Additional info
===============

i) Output from the yum update run to show exact verstions involved: 

~~~
Resolving Dependencies
--> Running transaction check
---> Package glusterfs.x86_64 0:3.6.0.24-1.el6rhs will be updated
---> Package glusterfs.x86_64 0:3.6.0.25-1.el6rhs will be an update
---> Package glusterfs-api.x86_64 0:3.6.0.24-1.el6rhs will be updated
---> Package glusterfs-api.x86_64 0:3.6.0.25-1.el6rhs will be an update
---> Package glusterfs-fuse.x86_64 0:3.6.0.24-1.el6rhs will be updated
---> Package glusterfs-fuse.x86_64 0:3.6.0.25-1.el6rhs will be an update
---> Package glusterfs-libs.x86_64 0:3.6.0.24-1.el6rhs will be updated
---> Package glusterfs-libs.x86_64 0:3.6.0.25-1.el6rhs will be an update
---> Package glusterfs-rdma.x86_64 0:3.6.0.24-1.el6rhs will be updated
---> Package glusterfs-rdma.x86_64 0:3.6.0.25-1.el6rhs will be an update
---> Package glusterfs-server.x86_64 0:3.6.0.24-1.el6rhs will be updated
---> Package glusterfs-server.x86_64 0:3.6.0.25-1.el6rhs will be an update
--> Finished Dependency Resolution
~~~

ii) The only file packaged in that subtree is the vols directory itself:

~~~
# rpm -qa | grep gluster | xargs rpm -ql | grep '/var/lib/glusterd/vol'
/var/lib/glusterd/vols
~~~

iii) Fortunatelly, the yum update just created the rpmsave files without
modifying them:

~~~
# for F in $(find /var/lib/glusterd/vols -name '*.rpmsave'); do diff $F ${F%.rpmsave}; done
#
~~~

Comment 1 Sam Mingo 2015-05-16 06:11:50 UTC
Any status update on this issue?


Note You need to log in before you can comment on or make changes to this bug.